# Gst::QueryTypeDefinition Class Reference

A query type definition is used to get details of a Gst::Query by Gst::Query::get_details(). More...

`#include <query.h>`

List of all members.

## Public Member Functions
| QueryTypeDefinition ()
| Default constructor.
| QueryTypeDefinition (const GstQueryTypeDefinition* castitem)
| Constructs a Gst::QueryTypeDefinition from a C GstQueryTypeDefinition type.
## Public Attributes
QueryType | value
| The unique id of the Query type.
Glib::ustring | nick
| A short nickname for the query type.
Glib::ustring | description
| A longer description of the query type.
Glib::QueryQuark | quark
| The quark for the nick.

## Detailed Description

A query type definition is used to get details of a Gst::Query by Gst::Query::get_details().

## Constructor& Destructor Documentation

Gst::QueryTypeDefinition::QueryTypeDefinition | ( |  | ) |

Default constructor.

Gst::QueryTypeDefinition::QueryTypeDefinition | ( | const GstQueryTypeDefinition * | castitem | ) |

Constructs a Gst::QueryTypeDefinition from a C GstQueryTypeDefinition type.

The castitem is left unaffected; its contents are simply copied.

Parameters:

  | castitem | The GstQueryTypeDefinition to copy contents from.

## Member Data Documentation

Glib::ustring Gst::QueryTypeDefinition::description

A longer description of the query type.

Glib::ustring Gst::QueryTypeDefinition::nick

A short nickname for the query type.

Glib::QueryQuark Gst::QueryTypeDefinition::quark

The quark for the nick.

QueryType Gst::QueryTypeDefinition::value

The unique id of the Query type.

The documentation for this class was generated from the following file:

- query.h